List webhook endpoints
curl --request GET \
--url https://api.hooper.gg/v1/webhook_endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hooper.gg/v1/webhook_endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hooper.gg/v1/webhook_endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"has_more": true,
"total_count": 123,
"data": [
{
"id": "we_2",
"object": "webhook_endpoint",
"created": 123,
"url": "<string>",
"status": "enabled",
"enabled_events": [
"*"
],
"description": "<string>"
}
],
"url": "/v1/sessions/sess_18234/highlights"
}Webhooks
List webhook endpoints
GET
/
v1
/
webhook_endpoints
List webhook endpoints
curl --request GET \
--url https://api.hooper.gg/v1/webhook_endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hooper.gg/v1/webhook_endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hooper.gg/v1/webhook_endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"has_more": true,
"total_count": 123,
"data": [
{
"id": "we_2",
"object": "webhook_endpoint",
"created": 123,
"url": "<string>",
"status": "enabled",
"enabled_events": [
"*"
],
"description": "<string>"
}
],
"url": "/v1/sessions/sess_18234/highlights"
}Authorizations
API key issued by Hooper for your organization. Keys are environment-tagged: hk_prod_ keys work against production, hk_stg_ keys against staging.